*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    sans-serif;
}


body{

    background:#050816;

    color:#ffffff;

    line-height:1.6;

}



a{

    color:white;

    text-decoration:none;

}



header{

    width:100%;

    padding:20px;

    display:flex;

    justify-content:space-between;

    align-items:center;

    background:
    rgba(10,15,35,.85);

    position:sticky;

    top:0;

    backdrop-filter:blur(10px);

    z-index:10;

}



.logo{

    font-size:22px;

    font-weight:800;

}



nav a{

    margin-left:15px;

    opacity:.8;

}



nav a:hover{

    opacity:1;

}



.hero{

    padding:80px 20px;

    text-align:center;

    background:

    radial-gradient(
    circle at top,
    #243bff,
    transparent 40%
    );

}



.hero h1{

    font-size:42px;

    margin-bottom:20px;

}



.hero p{

    color:#cbd5e1;

    font-size:18px;

}



.search-box{

    width:90%;

    max-width:600px;

    margin-top:30px;

    padding:15px 20px;

    border-radius:30px;

    border:none;

    outline:none;

    font-size:16px;

}



.container{

    max-width:1100px;

    margin:auto;

    padding:40px 20px;

}



.container h2{

    margin-bottom:25px;

}



.grid{

    display:grid;

    grid-template-columns:

    repeat(auto-fit,minmax(260px,1fr));

    gap:20px;

}



.card{

    background:

    linear-gradient(
    145deg,
    #111827,
    #020617
    );

    border:

    1px solid rgba(255,255,255,.1);

    padding:25px;

    border-radius:20px;

    transition:.3s;

}



.card:hover{

    transform:translateY(-8px);

    border-color:#3b82f6;

}



.card h3{

    margin-bottom:12px;

}



.card p{

    color:#94a3b8;

}



.tag{

    display:inline-block;

    margin:10px 0;

    padding:5px 12px;

    border-radius:20px;

    background:#2563eb;

    font-size:12px;

}



.btn{

    display:inline-block;

    margin-top:15px;

    padding:10px 20px;

    border-radius:20px;

    background:#2563eb;

}



.btn:hover{

    background:#1d4ed8;

}



footer{

    padding:30px;

    text-align:center;

    color:#94a3b8;

}



@media(max-width:700px){


header{

    flex-direction:column;

    gap:15px;

}



nav{

    display:flex;

    flex-wrap:wrap;

    justify-content:center;

}



.hero h1{

    font-size:32px;

}


}